Upstream information

CVE-2019-3811 at MITRE

Description

A vulnerability was found in sssd. If a user was configured with no home directory set, sssd would return '/' (the root directory) instead of '' (the empty string / no home directory). This could impact services that restrict the user's filesystem access to within their home directory through chroot() etc. All versions before 2.1 are vulnerable.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.7
Vector AV:A/AC:L/Au:S/C:N/I:N/A:P
Access Vector Adjacent Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.2 4.1
Vector AV:A/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H AV:A/AC:L/PR:L/UI:N/S:C/C:N/I:L/A:N
Access Vector Adjacent Network Adjacent Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction Required None
Scope Unchanged Changed
Confidentiality Impact None None
Integrity Impact None Low
Availability Impact High None
SUSE Bugzilla entry: 1121759 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • libipa_hbac0 >= 1.16.1-4.3.2
  • libsss_certmap0 >= 1.16.1-4.3.2
  • libsss_idmap0 >= 1.16.1-4.3.2
  • libsss_nss_idmap0 >= 1.16.1-4.3.2
  • libsss_simpleifp0 >= 1.16.1-4.3.2
  • python-sssd-config >= 1.16.1-4.3.2
  • sssd >= 1.16.1-4.3.2
  • sssd-32bit >= 1.16.1-4.3.2
  • sssd-ad >= 1.16.1-4.3.2
  • sssd-ipa >= 1.16.1-4.3.2
  • sssd-krb5 >= 1.16.1-4.3.2
  • sssd-krb5-common >= 1.16.1-4.3.2
  • sssd-ldap >= 1.16.1-4.3.2
  • sssd-proxy >= 1.16.1-4.3.2
  • sssd-tools >= 1.16.1-4.3.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-556
SUSE Linux Enterprise Module for Basesystem 15
  • libipa_hbac-devel >= 1.16.1-3.15.1
  • libipa_hbac0 >= 1.16.1-3.15.1
  • libsss_certmap-devel >= 1.16.1-3.15.1
  • libsss_certmap0 >= 1.16.1-3.15.1
  • libsss_idmap-devel >= 1.16.1-3.15.1
  • libsss_idmap0 >= 1.16.1-3.15.1
  • libsss_nss_idmap-devel >= 1.16.1-3.15.1
  • libsss_nss_idmap0 >= 1.16.1-3.15.1
  • libsss_simpleifp-devel >= 1.16.1-3.15.1
  • libsss_simpleifp0 >= 1.16.1-3.15.1
  • python3-sssd-config >= 1.16.1-3.15.1
  • sssd >= 1.16.1-3.15.1
  • sssd-32bit >= 1.16.1-3.15.1
  • sssd-ad >= 1.16.1-3.15.1
  • sssd-dbus >= 1.16.1-3.15.1
  • sssd-ipa >= 1.16.1-3.15.1
  • sssd-krb5 >= 1.16.1-3.15.1
  • sssd-krb5-common >= 1.16.1-3.15.1
  • sssd-ldap >= 1.16.1-3.15.1
  • sssd-proxy >= 1.16.1-3.15.1
  • sssd-tools >= 1.16.1-3.15.1
  • sssd-wbclient >= 1.16.1-3.15.1
  • sssd-wbclient-devel >= 1.16.1-3.15.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-542
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libnfsidmap-sss >= 1.16.1-3.15.1
  • python3-ipa_hbac >= 1.16.1-3.15.1
  • python3-sss-murmur >= 1.16.1-3.15.1
  • python3-sss_nss_idmap >= 1.16.1-3.15.1
  • sssd >= 1.16.1-3.15.1
  • sssd-dbus >= 1.16.1-3.15.1
  • sssd-winbind-idmap >= 1.16.1-3.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-542
SUSE Linux Enterprise Server 12 SP4
  • libipa_hbac0 >= 1.16.1-4.3.2
  • libsss_certmap0 >= 1.16.1-4.3.2
  • libsss_idmap0 >= 1.16.1-4.3.2
  • libsss_nss_idmap0 >= 1.16.1-4.3.2
  • libsss_simpleifp0 >= 1.16.1-4.3.2
  • python-sssd-config >= 1.16.1-4.3.2
  • sssd >= 1.16.1-4.3.2
  • sssd-32bit >= 1.16.1-4.3.2
  • sssd-ad >= 1.16.1-4.3.2
  • sssd-ipa >= 1.16.1-4.3.2
  • sssd-krb5 >= 1.16.1-4.3.2
  • sssd-krb5-common >= 1.16.1-4.3.2
  • sssd-ldap >= 1.16.1-4.3.2
  • sssd-proxy >= 1.16.1-4.3.2
  • sssd-tools >= 1.16.1-4.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-556
SUSE Linux Enterprise Server 12-LTSS
  • libipa_hbac0 >= 1.11.5.1-10.16.1
  • libsss_idmap0 >= 1.11.5.1-10.16.1
  • libsss_sudo >= 1.11.5.1-10.16.1
  • python-sssd-config >= 1.11.5.1-10.16.1
  • sssd >= 1.11.5.1-10.16.1
  • sssd-32bit >= 1.11.5.1-10.16.1
  • sssd-ad >= 1.11.5.1-10.16.1
  • sssd-ipa >= 1.11.5.1-10.16.1
  • sssd-krb5 >= 1.11.5.1-10.16.1
  • sssd-krb5-common >= 1.11.5.1-10.16.1
  • sssd-ldap >= 1.11.5.1-10.16.1
  • sssd-proxy >= 1.11.5.1-10.16.1
  • sssd-tools >= 1.11.5.1-10.16.1
Patchnames:
SUSE-SLE-SERVER-12-2019-552
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libipa_hbac0 >= 1.16.1-4.3.2
  • libsss_certmap0 >= 1.16.1-4.3.2
  • libsss_idmap0 >= 1.16.1-4.3.2
  • libsss_nss_idmap0 >= 1.16.1-4.3.2
  • libsss_simpleifp0 >= 1.16.1-4.3.2
  • python-sssd-config >= 1.16.1-4.3.2
  • sssd >= 1.16.1-4.3.2
  • sssd-32bit >= 1.16.1-4.3.2
  • sssd-ad >= 1.16.1-4.3.2
  • sssd-ipa >= 1.16.1-4.3.2
  • sssd-krb5 >= 1.16.1-4.3.2
  • sssd-krb5-common >= 1.16.1-4.3.2
  • sssd-ldap >= 1.16.1-4.3.2
  • sssd-proxy >= 1.16.1-4.3.2
  • sssd-tools >= 1.16.1-4.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-556
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libipa_hbac0 >= 1.11.5.1-10.16.1
  • libsss_idmap0 >= 1.11.5.1-10.16.1
  • libsss_sudo >= 1.11.5.1-10.16.1
  • python-sssd-config >= 1.11.5.1-10.16.1
  • sssd >= 1.11.5.1-10.16.1
  • sssd-32bit >= 1.11.5.1-10.16.1
  • sssd-ad >= 1.11.5.1-10.16.1
  • sssd-ipa >= 1.11.5.1-10.16.1
  • sssd-krb5 >= 1.11.5.1-10.16.1
  • sssd-krb5-common >= 1.11.5.1-10.16.1
  • sssd-ldap >= 1.11.5.1-10.16.1
  • sssd-proxy >= 1.11.5.1-10.16.1
  • sssd-tools >= 1.11.5.1-10.16.1
Patchnames:
SUSE-SLE-SERVER-12-2019-552
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libipa_hbac-devel >= 1.16.1-4.3.2
  • libsss_idmap-devel >= 1.16.1-4.3.2
  • libsss_nss_idmap-devel >= 1.16.1-4.3.2
  • sssd >= 1.16.1-4.3.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-556
openSUSE Leap 15.0
  • adcli >= 0.8.2-lp150.4.1
  • adcli-debuginfo >= 0.8.2-lp150.4.1
  • adcli-debugsource >= 0.8.2-lp150.4.1
  • adcli-doc >= 0.8.2-lp150.4.1
  • libipa_hbac-devel >= 1.16.1-lp150.2.9.1
  • libipa_hbac0 >= 1.16.1-lp150.2.9.1
  • libipa_hbac0-debuginfo >= 1.16.1-lp150.2.9.1
  • libnfsidmap-sss >= 1.16.1-lp150.2.9.1
  • libnfsidmap-sss-debuginfo >= 1.16.1-lp150.2.9.1
  • libsss_certmap-devel >= 1.16.1-lp150.2.9.1
  • libsss_certmap0 >= 1.16.1-lp150.2.9.1
  • libsss_certmap0-debuginfo >= 1.16.1-lp150.2.9.1
  • libsss_idmap-devel >= 1.16.1-lp150.2.9.1
  • libsss_idmap0 >= 1.16.1-lp150.2.9.1
  • libsss_idmap0-debuginfo >= 1.16.1-lp150.2.9.1
  • libsss_nss_idmap-devel >= 1.16.1-lp150.2.9.1
  • libsss_nss_idmap0 >= 1.16.1-lp150.2.9.1
  • libsss_nss_idmap0-debuginfo >= 1.16.1-lp150.2.9.1
  • libsss_simpleifp-devel >= 1.16.1-lp150.2.9.1
  • libsss_simpleifp0 >= 1.16.1-lp150.2.9.1
  • libsss_simpleifp0-debuginfo >= 1.16.1-lp150.2.9.1
  • python3-ipa_hbac >= 1.16.1-lp150.2.9.1
  • python3-ipa_hbac-debuginfo >= 1.16.1-lp150.2.9.1
  • python3-sss-murmur >= 1.16.1-lp150.2.9.1
  • python3-sss-murmur-debuginfo >= 1.16.1-lp150.2.9.1
  • python3-sss_nss_idmap >= 1.16.1-lp150.2.9.1
  • python3-sss_nss_idmap-debuginfo >= 1.16.1-lp150.2.9.1
  • python3-sssd-config >= 1.16.1-lp150.2.9.1
  • python3-sssd-config-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd >= 1.16.1-lp150.2.9.1
  • sssd-32bit >= 1.16.1-lp150.2.9.1
  • sssd-32bit-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-ad >= 1.16.1-lp150.2.9.1
  • sssd-ad-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-dbus >= 1.16.1-lp150.2.9.1
  • sssd-dbus-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-debugsource >= 1.16.1-lp150.2.9.1
  • sssd-ipa >= 1.16.1-lp150.2.9.1
  • sssd-ipa-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-krb5 >= 1.16.1-lp150.2.9.1
  • sssd-krb5-common >= 1.16.1-lp150.2.9.1
  • sssd-krb5-common-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-krb5-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-ldap >= 1.16.1-lp150.2.9.1
  • sssd-ldap-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-proxy >= 1.16.1-lp150.2.9.1
  • sssd-proxy-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-tools >= 1.16.1-lp150.2.9.1
  • sssd-tools-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-wbclient >= 1.16.1-lp150.2.9.1
  • sssd-wbclient-debuginfo >= 1.16.1-lp150.2.9.1
  • sssd-wbclient-devel >= 1.16.1-lp150.2.9.1
  • sssd-winbind-idmap >= 1.16.1-lp150.2.9.1
  • sssd-winbind-idmap-debuginfo >= 1.16.1-lp150.2.9.1
Patchnames:
openSUSE-2019-344

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Desktop 12 SP3
  • adcli >= 0.8.2-1.3.1
  • adcli-debuginfo >= 0.8.2-1.3.1
  • adcli-debugsource >= 0.8.2-1.3.1
  • libipa_hbac0 >= 1.13.4-34.27.1
  • libipa_hbac0-debuginfo >= 1.13.4-34.27.1
  • libsss_idmap0 >= 1.13.4-34.27.1
  • libsss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_nss_idmap0 >= 1.13.4-34.27.1
  • libsss_nss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_sudo >= 1.13.4-34.27.1
  • libsss_sudo-debuginfo >= 1.13.4-34.27.1
  • python-sssd-config >= 1.13.4-34.27.1
  • python-sssd-config-debuginfo >= 1.13.4-34.27.1
  • sssd >= 1.13.4-34.27.1
  • sssd-32bit >= 1.13.4-34.27.1
  • sssd-ad >= 1.13.4-34.27.1
  • sssd-ad-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo-32bit >= 1.13.4-34.27.1
  • sssd-debugsource >= 1.13.4-34.27.1
  • sssd-ipa >= 1.13.4-34.27.1
  • sssd-ipa-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5 >= 1.13.4-34.27.1
  • sssd-krb5-common >= 1.13.4-34.27.1
  • sssd-krb5-common-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5-debuginfo >= 1.13.4-34.27.1
  • sssd-ldap >= 1.13.4-34.27.1
  • sssd-ldap-debuginfo >= 1.13.4-34.27.1
  • sssd-proxy >= 1.13.4-34.27.1
  • sssd-proxy-debuginfo >= 1.13.4-34.27.1
  • sssd-tools >= 1.13.4-34.27.1
  • sssd-tools-debuginfo >= 1.13.4-34.27.1
SUSE Linux Enterprise Server 12 SP3
  • adcli >= 0.8.2-1.3.1
  • adcli-debuginfo >= 0.8.2-1.3.1
  • adcli-debugsource >= 0.8.2-1.3.1
  • libipa_hbac0 >= 1.13.4-34.27.1
  • libipa_hbac0-debuginfo >= 1.13.4-34.27.1
  • libsss_idmap0 >= 1.13.4-34.27.1
  • libsss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_nss_idmap0 >= 1.13.4-34.27.1
  • libsss_nss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_sudo >= 1.13.4-34.27.1
  • libsss_sudo-debuginfo >= 1.13.4-34.27.1
  • python-sssd-config >= 1.13.4-34.27.1
  • python-sssd-config-debuginfo >= 1.13.4-34.27.1
  • sssd >= 1.13.4-34.27.1
  • sssd-32bit >= 1.13.4-34.27.1
  • sssd-ad >= 1.13.4-34.27.1
  • sssd-ad-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo-32bit >= 1.13.4-34.27.1
  • sssd-debugsource >= 1.13.4-34.27.1
  • sssd-ipa >= 1.13.4-34.27.1
  • sssd-ipa-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5 >= 1.13.4-34.27.1
  • sssd-krb5-common >= 1.13.4-34.27.1
  • sssd-krb5-common-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5-debuginfo >= 1.13.4-34.27.1
  • sssd-ldap >= 1.13.4-34.27.1
  • sssd-ldap-debuginfo >= 1.13.4-34.27.1
  • sssd-proxy >= 1.13.4-34.27.1
  • sssd-proxy-debuginfo >= 1.13.4-34.27.1
  • sssd-tools >= 1.13.4-34.27.1
  • sssd-tools-debuginfo >= 1.13.4-34.27.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • adcli >= 0.8.2-1.3.1
  • adcli-debuginfo >= 0.8.2-1.3.1
  • adcli-debugsource >= 0.8.2-1.3.1
  • libipa_hbac0 >= 1.13.4-34.27.1
  • libipa_hbac0-debuginfo >= 1.13.4-34.27.1
  • libsss_idmap0 >= 1.13.4-34.27.1
  • libsss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_nss_idmap0 >= 1.13.4-34.27.1
  • libsss_nss_idmap0-debuginfo >= 1.13.4-34.27.1
  • libsss_sudo >= 1.13.4-34.27.1
  • libsss_sudo-debuginfo >= 1.13.4-34.27.1
  • python-sssd-config >= 1.13.4-34.27.1
  • python-sssd-config-debuginfo >= 1.13.4-34.27.1
  • sssd >= 1.13.4-34.27.1
  • sssd-32bit >= 1.13.4-34.27.1
  • sssd-ad >= 1.13.4-34.27.1
  • sssd-ad-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo >= 1.13.4-34.27.1
  • sssd-debuginfo-32bit >= 1.13.4-34.27.1
  • sssd-debugsource >= 1.13.4-34.27.1
  • sssd-ipa >= 1.13.4-34.27.1
  • sssd-ipa-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5 >= 1.13.4-34.27.1
  • sssd-krb5-common >= 1.13.4-34.27.1
  • sssd-krb5-common-debuginfo >= 1.13.4-34.27.1
  • sssd-krb5-debuginfo >= 1.13.4-34.27.1
  • sssd-ldap >= 1.13.4-34.27.1
  • sssd-ldap-debuginfo >= 1.13.4-34.27.1
  • sssd-proxy >= 1.13.4-34.27.1
  • sssd-proxy-debuginfo >= 1.13.4-34.27.1
  • sssd-tools >= 1.13.4-34.27.1
  • sssd-tools-debuginfo >= 1.13.4-34.27.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libipa_hbac-devel >= 1.13.4-34.27.1
  • libsss_idmap-devel >= 1.13.4-34.27.1
  • libsss_nss_idmap-devel >= 1.13.4-34.27.1
  • sssd >= 1.13.4-34.27.1
  • sssd-debuginfo >= 1.13.4-34.27.1
  • sssd-debugsource >= 1.13.4-34.27.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 sssd In progress
SUSE Linux Enterprise Desktop 12 SP4 sssd Affected
SUSE Linux Enterprise High Performance Computing 12 sssd Affected
SUSE Linux Enterprise Module for Basesystem 15 GA sssd Released
SUSE Linux Enterprise SDK 11 SP4 sssd Affected
SUSE Linux Enterprise SDK 12 SP3 sssd In progress
SUSE Linux Enterprise SDK 12 SP4 sssd Released
SUSE Linux Enterprise Server 11 SP3 LTSS sssd Affected
SUSE Linux Enterprise Server 11 SP4 sssd Affected
SUSE Linux Enterprise Server 12 GA LTSS sssd Released
SUSE Linux Enterprise Server 12 SP2 LTSS sssd Affected
SUSE Linux Enterprise Server 12 SP3 sssd In progress
SUSE Linux Enterprise Server 12 SP4 sssd Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 sssd Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA sssd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 sssd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 sssd Affected